Meta bug for tracking Openstack 2013.2.1 Stable Update

Bug #1262788 reported by Adam Gandelman on 2013-12-19
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
Undecided
Unassigned
ceilometer (Ubuntu)
Undecided
Unassigned
Saucy
Undecided
Unassigned
cinder (Ubuntu)
Undecided
Unassigned
Saucy
Undecided
Unassigned
glance (Ubuntu)
Undecided
Unassigned
Saucy
Undecided
Unassigned
heat (Ubuntu)
Undecided
Unassigned
Saucy
Undecided
Unassigned
horizon (Ubuntu)
Undecided
Unassigned
Saucy
Undecided
Unassigned
keystone (Ubuntu)
Undecided
Unassigned
Saucy
Undecided
Unassigned
neutron (Ubuntu)
Undecided
Unassigned
Saucy
Undecided
Unassigned
nova (Ubuntu)
Undecided
Unassigned
Saucy
Undecided
Unassigned

Bug Description

This is a meta-bug used for tracking progress of the 2013.2.1 stable updates to Ceilometer, Cinder, Glance, Keystone, Heat, Horizon, Nova and Neutron in Ubuntu 13.10 and the Ubuntu Cloud Archive.

 ceilometer (2013.2.1-0ubuntu2) saucy-proposed; urgency=low
 .
   * Resynchronize with stable/havana (fa5c8e2) (LP: #1262788):
     - [ec31468] change alarm_history.detail column type to Text LP: 1236861
     - [b616562] wsme 0.5b6 is broken LP: 1240741
     - [d90c8e1] Open stable/havana
     - [ef6c659] Ceilometer log contains DB password in plain text LP: 1244476
     - [7ad530b] Pin test-requirement for Nova to Havana
     - [d554fa8] import of rabbitMQ-specific config options regardless of
       configured RPC backend LP: 1244698
     - [99b21df] Havan rc2 acl scenarios failing due to timezone assumption
       LP: 1240994
     - [c5b7462] alarm creation with sqlalchemy fails with intermittent
       IntegrityError LP: 1255107
     - [ae82878] [Postgresql] ERROR in ceilometer-collector log after successful
       tempest run LP: 1237671
     - [5cbb965] [messaging] QPID broadcast RPC requests to all servers for a
       given topic LP: 1257293
     - [40b833c] On restart of QPID broker, fanout no longer works LP: 1251757
     - [fa5c8e2] Updated from global requirements
   * debian/patches: Refreshed.
   * debian/patches/revert-keystone-compat.patch: Revert additional
     keystoneclient 0.4.0 compat changes that were applied to stable/havana
     to fix upstream gate issues.
   * debian/patches/revert-stable-havana-requirements.patch: Revert
     version bumps to dependencies in stable/havana back to what was
     shipped with Saucy.

 cinder (1:2013.2.1-0ubuntu1) saucy-proposed; urgency=low
 .
   * Resynchronize with stable/havana (eb78fee) (LP: #1262788):
     - [d8a0cd9] GlusterFS: errors when trying to boot instance from cloned
       volume LP: 1244238
     - [550f439] SSC attribute netapp_mirrored is not followed LP: 1242808
     - [0d3c303] SSC attributes netapp_compression and netapp_dedup are not
       followed LP: 1236839
     - [243ad85] Brick HostDriver test failure LP: 1244418
     - [42f3e68] SSC volume filtering for extra specs can result in inconsistent
       list LP: 1243081
     - [2e5dc22] Broken NetAppDirect7modeISCSIDriver reports incorrect free
       capacity, scheduler won't balance between multiple Netapp backends
       LP: 1238967
     - [ad05556] copy image to volume is broken for non-local volumes
       LP: 1243980
     - [5f7d263] check_ssh_injection not handling quoted args correctly
       LP: 1244415
     - [709130b] don't secure delete thin provisioned volumes or snapshots
       LP: 1240299
     - [986d243] invalid volume when source image virtual size is bigger than
       the requested size LP: 1235358
     - [df6d45f] invalid volume when source image virtual size is bigger than
       the requested size LP: 1235358
     - [78609c1] Properly handle volume cleanup with RBD driver LP: 1254318
     - [0801927] KeyError from storwize driver when 'host' is not provided to
       terminate_connection LP: 1244257
     - [e96e33c] GlusterFS: cloned volume has incorrect permissions LP: 1254768
     - [4529886] GlusterFS: operations that modify data require locking
       LP: 1251425
     - [3a58261] cinder backup should use pipe for diff transfer LP: 1244464
     - [3591f0d] Havana cinder requires glance API V2 LP: 1252549
     - [871d7d6] Excessive queries for API volumes/detail extensions LP: 1197612
     - [22a7101] Ensure ThinLVM LV is active when cloning LP: 1252423
     - [c5d4246] Excessive queries for API volumes/detail extensions LP: 1197612
     - [395ec74] Excessive queries for API volumes/detail extensions LP: 1197612
     - [1825386] Excessive queries for API volumes/detail extensions LP: 1197612
     - [430f0b9] [messaging] QPID broadcast RPC requests to all servers for a
       given topic LP: 1257293
     - [eb78fee] Updated from global requirements
   * debian/patches: Refresh.
   * debian/patches/revert-stable-havana-requirements.patch: Revert
     version bumps to dependencies in stable/havana back to what was
     shipped with Saucy.

 glance (1:2013.2.1-0ubuntu1) saucy-proposed; urgency=low
 .
   * Resynchronize with stable/havana (949cda0) (LP: #1262788):
     - [252fe85] Open stable/havana
     - [e20b2af] Qpid protocol configuration is wrong LP: 1243821
     - [0f66c54] Error message encoding issue when using qpid LP: 1242734
     - [5b8f18b] Wrong parameter in the config file s/qpid_host/qpid_hostname/
       LP: 1242715
     - [9b52a89] Jenkins failed due to
       TestGlanceAPI.test_get_details_filter_changes_since LP: 1242501
     - [949cda0] Updated from global requirements
     - [5cd7a22] Bump stable/havana next version to 2013.2.2
     - [949cda0] Updated from global requirements
   * d/p/debian/patches/revert_upstream_iso8601_fixes.patch: Reverts
     patch that was committed to allow tests to pass in upstreams
     gate using a newer version of python-iso8601. Ubuntu's version
     is stable, the patch unncessary and causes failures.
   * debian/patches/revert-stable-havana-requirements.patch: Revert
     version bumps to dependencies in stable/havana back to what was
     shipped with Saucy.

 heat (2013.2.1-0ubuntu1) saucy-proposed; urgency=low
 .
   * Resynchronize with stable/havana (8283db7) (LP: #1262788):
     - [e6979b0] Open stable/havana
     - [f33297d] no autoscaling action occurs for percentage adjustment,
       depending on initial size & adjustment step size LP: 1251007
     - [a8c0b11] potential autoscaling headroom remains unused LP: 1254796
     - [6ccbf6e] On restart of QPID broker, fanout no longer works LP: 1251757
     - [3fc572e] [messaging] QPID broadcast RPC requests to all servers for a
       given topic LP: 1257293
     - [25de97c] Updated from global requirements
     - [0b1458a] [OSSA 2013-034] Heat CFN policy rules not all enforced
       (CVE-2013-6426) LP: 1256049
     - [8283db7] [OSSA 2013-035] Heat ReST API doesn't respect tenant scoping
       (CVE-2013-6428) LP: 1256983
     - [8283db7] [OSSA 2013-035] Heat ReST API doesn't respect tenant scoping
       (CVE-2013-6428) LP: 1256983
   * debian/patches/revert-stable-havana-requirements.patch: Revert
     version bumps to dependencies in stable/havana back to what was
     shipped with Saucy.

 horizon (1:2013.2.1-0ubuntu1) saucy-proposed; urgency=low
 .
   * Resynchronize with stable/havana (9668e80) (LP: #1262788):
     - [d97bba1] precision of floating point metering stats is discarded
       unnecessarily LP: 1241467
     - [53047be] "Tenant" should be "Project" (Resource Usage panel) LP: 1250942
     - [728b5d1] Subnet / Subnet details not marked as translatable LP: 1254026
     - [9465e54] missing hover hint for instance:<type> meter in Metric dropdown
       list LP: 1243241
     - [842ba5f] Default port for The MS SQL Security Group is 1433 instead of
       1443 LP: 1250029
     - [631ee65] iso8601 debug message is annoying in dashboard unit test
       LP: 1250554
     - [1361a02] only meters associated with the first instance reported appear
       in Metric dropdown list LP: 1243298
     - [599d4a5] Persistent XSS in OpenStack Web UI for Instances LP: 1247675
     - [7f804c9] Password Change needs to logout current user LP: 1226829
     - [3b621e7] The "Weight" parameter in Horizon's LBaaS member creation
       dialog is mandatory while it's only optional in the cli command
       LP: 1241004
     - [b5b102e] i18n: "Filter" in "Flavor Access" tab of "Create Flavor"
       workflow is not translatable LP: 1239927
     - [0aba596] I18n: Localization of the role "Member" LP: 1255004
     - [d66a483] detach volume dialog contains escaped html LP: 1252881
     - [37f0128] English string for "Injected File Path Bytes" is wrong
       LP: 1254049
     - [ac2815c] ./templates/base.html.c:6: warning: unterminated string literal
       LP: 1243526
     - [6d02f2e] Cannot assign different translations for present and past
       message of BatchAction LP: 1252082
     - [655dc79] Resource Usage Page table views shows statistics in a wrong way
       LP: 1249279
     - [5d9684d] lbaas pool tcp LP: 1241713
     - [040bebb] Some "Working" dialogs are not translatable LP: 1252074
     - [852e5c8] Translation update for 2013.2.1 release LP: 1258462
     - [9668e80] Updated from global requirements
   * debian/patches/CVE-2013-6406: Dropped, applied upstream [599d4a5]
   * debian/patches/revert-stable-havana-requirements.patch: Revert
     version bumps to dependencies in stable/havana back to what was
     shipped with Saucy.

 keystone (1:2013.2.1-0ubuntu1) saucy-proposed; urgency=low
 .
   * Resynchronize with stable/havana (03ed8c3) (LP: #1262788):
     - [e6adb2f] Opening stable/havana
     - [4221b60] Removing role adds role with LDAP backend LP: 1242855
     - [3c25be5] Update memcache to match global requirements for stable/havana
     - [d927273] Keystone tests determine rootdir relative to pwd LP: 1241198
     - [64ac189] Updated from global requirements
     - [03ed8c3] [OSSA 2013-032] Keystone trust circumvention through EC2-style
       tokens (CVE-2013-6391) LP: 1242597
   * Dropped patches, applied upstream:
     - debian/patches/CVE-2013-4477.patch: [4221b60]
     - debian/patches/CVE-2013-6391.patch: [03ed8c3]
   * debian/patches/fix-ubuntu-tests.patch: Update to skip a test introduced
     with [03ed8c3] that requires a more recent version of
     python-keystoneclient.
   * debian/patches/revert-stable-havana-requirements.patch: Revert
     version bumps to dependencies in stable/havana back to what was
     shipped with Saucy.

 neutron (1:2013.2.1-0ubuntu1) saucy-proposed; urgency=low
 .
   * Resynchronize with stable/havana (c783944) (LP: #1262788):
     - [f45cd4f] Open stable/havana
     - [c783944] [OSSA 2013-033] Metadata queries from Neutron to Nova are not
       restricted by tenant (CVE-2013-6419) LP: 1235450
     - [cec8127] Creates multiple worker processes for API server
     - [3383241] [messaging] QPID broadcast RPC requests to all servers for a
       given topic LP: 1257293
     - [cd3e714] openstack.common.local module is out of date LP: 1254046
     - [11102ad] Allow using ipv6 address with omiting zero LP: 1240790
     - [65986c9] NVP connection fails because port is a string LP: 1255519
     - [2d2646a] Neither vpnaas.filters nor debug.filters are referenced in
       setup.cfg LP: 1257523
     - [c93d699] OVS agent doesn't reclaim local VLAN LP: 1252284
     - [7d74411] IP lib fails when int name has '@' character and VLAN
       interfaces LP: 1245799
     - [496e6f0] Lower severity of log trace for DB integrity error
     - [74b0a9b] internal neutron server error on tempest VolumesActionsTest
       LP: 1239637
     - [39c392e] neutron unittest require minimum 4gb memory LP: 1234857
     - [03216e3] L3 agent can't handle updates that change floating ip id
       LP: 1209011
     - [3be1326] nvp_cluster_uuid is no longer used in nvp.ini LP: 1251086
     - [37f5678] binding_failed because of l2 agent assumed down LP: 1244255
     - [27ce7b5] traceback is suppressed when deploy.loadapp fails LP: 1210236
     - [ce458e0] Linux IP wrapper cannot handle VLAN interfaces LP: 1240125
     - [b37987e] linuxbridge agent doesn't remove vxlan interface if no
       interface mappings LP: 1240742
     - [68b8af0] L2 pop mech driver sends notif. even no related port changes
       LP: 1241874
     - [f48a731] L2 pop sends updates for unrelated networks LP: 1240744
     - [e331eb3] fix nvp version validation for distributed router creation
       LP: 1243862
     - [4b3162e] error while creating l2 gateway services in nvp LP: 1244259
     - [4e94cb3] Nicira plugin: 500 when removing a router port desynchronized
       from the backend LP: 1240720
     - [02cd640] Connection to neutron failed: Maximum attempts reached
       LP: 1211915
   * debian/patches/revert-stable-havana-requirements.patch: Revert
     version bumps to dependencies in stable/havana back to what was
     shipped with Saucy.

 nova (1:2013.2.1-0ubuntu1) saucy-proposed; urgency=low
 .
   * Resynchronize with stable/havana (a4ffc06) (LP: #1262788):
     - [6bf7e78] datastore selection bug - fills first disk only LP: 1227825
     - [66e5a8d] Deploy instances failed on Hyper-V with Chinese locale
       LP: 1229671
     - [6e50dbd] flavor pagination incorrectly uses id rather than flavorid
       LP: 1226698
     - [66f2db5] Regression: Cinder Volumes "unable to find iscsi target" for
       VMware instances LP: 1193980
     - [d8e6477] Restarting nova compute has an exception LP: 1243291
     - [a6fc29a] exception.InstanceIsLocked is not caught in start and stop
       server api LP: 1233026
     - [2e3da55] VMware: errors booting from volume via Horizon LP: 1235022
     - [3cdfe89] [OSSA 2013-029] Unchecked qcow2 root disk sizes DoS LP: 1206081
     - [a44c4d2] nova-api-{ec2,metadata,os-compute} don't allow SSL to be
       enabled LP: 1237126
     - [e360dc2] notification failure in _sync_power_states LP: 1244311
     - [cde1eaa] notification not available for deleting an instance having no
       host associated LP: 1211742
     - [55d87dc] Clear text password has been print in log by some API call
       LP: 1231263
     - [c139717] Unshelving an instance with an attached volume causes the
       volume to not get attached LP: 1246412
     - [458c79f] Bogus ERROR level debug spew when creating a new instance
       LP: 1239603
     - [31c9322] VMware: restarting nova compute reports invalid instances
       LP: 1237795
     - [818aac9] Nova api doesn't start with a backdoor port set LP: 1243260
     - [84f20a7] NBD mount errors when booting an instance from volume
       LP: 1188543
     - [85c8f12] Hyper-V fails to spawn snapshots LP: 1234759
     - [f7cfc1c] target_iqn is referenced before assignment after exceptions in
       hyperv/volumeop.py attch_volume() LP: 1233837
     - [0df673f] API cell always doing local deletes LP: 1240247
     - [727261e] flavor extra spec api fails with XML content type if key
       contains a colon LP: 1213927
     - [ef9aec1] infinite recursion when deleting an instance with no network
       interfaces LP: 1251792
     - [9aea662] encryptors module forces cert and scheduler services to depend
       on cinderclient LP: 1246103
     - [c51001e] TypeError in periodic task 'update_available_resource'
       LP: 1238374
     - [43d1385] nova compute crashes if you do not have any hosts in your
       cluster LP: 1197041
     - [8a99344] VMware: Detaching a volume from an instance also deletes the
       volume's backing vmdk (ESXDriver only) LP: 1241350
     - [8affa07] libvirt's _create_ephemeral must accept max_size LP: 1250032
     - [5847e57] Avoid clobbering {system_,}metadata dicts passed to instance
       update
     - [36a08ff] Require new python-cinderclient for Havana LP: 1230925
     - [0056908] libvirt evacuate(shared storage) fails w/ Permission denied on
       disk.config LP: 1247526
     - [4fcd748] Nova live migration failed due to OLE error LP: 1246592
     - [ac78062] Error mispelt in disk api file LP: 1253510
     - [e99e9c1] min_count ignored for instance create LP: 1224453
     - [8f007df] VCDriver: Failed to resize instance LP: 1199954
     - [bf4addf] Tempest failures due to failure to return console logs from an
       instance LP: 1251920
     - [34ec05d] the snapshot of a volume-backed instance cannot be used to boot
       a new instance LP: 1246327
     - [6a2bab6] [messaging] QPID broadcast RPC requests to all servers for a
       given topic LP: 1257293
     - [ec7059a] VMwareVCDriver: snapshot failure when host in maintenance mode
       LP: 1229994
     - [b78f90f] VMWARE: Intermittent problem with stats reporting LP: 1252827
     - [14baf9a] the snapshot of a volume-backed instance cannot be used to boot
       a new instance LP: 1246327
     - [5a9551d] VM re-scheduler mechanism will cause BDM-volumes conflict
       LP: 1195947
     - [e5cb2de] Updated from global requirements
     - [a4ffc06] [OSSA 2013-033] Metadata queries from Neutron to Nova are not
       restricted by tenant (CVE-2013-6419) LP: 1235450
   * debian/patches: Refresh.
   * debian/patches/revert-stable-havana-requirements.patch: Revert
     version bumps to dependencies in stable/havana back to what was
     shipped with Saucy.

Changed in nova (Ubuntu Saucy):
status: New → Confirmed
Changed in nova (Ubuntu):
status: New → Invalid
Changed in glance (Ubuntu):
status: New → Invalid
Changed in glance (Ubuntu Saucy):
status: New → Confirmed
Changed in ceilometer (Ubuntu Saucy):
status: New → Confirmed
Changed in ceilometer (Ubuntu):
status: New → Invalid
Changed in keystone (Ubuntu):
status: New → Invalid
Changed in keystone (Ubuntu Saucy):
status: New → Confirmed
Changed in heat (Ubuntu):
status: New → Invalid
status: Invalid → Confirmed
status: Confirmed → Invalid
Changed in heat (Ubuntu Saucy):
status: New → Confirmed
Changed in neutron (Ubuntu):
status: New → Invalid
Changed in neutron (Ubuntu Saucy):
status: New → Confirmed
Changed in horizon (Ubuntu):
status: New → Invalid
status: Invalid → Confirmed
status: Confirmed → Invalid
Changed in horizon (Ubuntu Saucy):
status: New → Confirmed
Changed in cinder (Ubuntu):
status: New → Invalid
Changed in cinder (Ubuntu Saucy):
status: New → Confirmed
Changed in cloud-archive:
status: New → Confirmed

Hello Adam, or anyone else affected,

Accepted ceilometer into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ceilometer/2013.2.1-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ceilometer (Ubuntu Saucy):
status: Confirmed → Fix Committed
tags: added: verification-needed
Changed in cinder (Ubuntu Saucy):
status: Confirmed → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Adam, or anyone else affected,

Accepted cinder into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/cinder/1:2013.2.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in glance (Ubuntu Saucy):
status: Confirmed → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Adam, or anyone else affected,

Accepted glance into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/glance/1:2013.2.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in horizon (Ubuntu Saucy):
status: Confirmed → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Adam, or anyone else affected,

Accepted horizon into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/horizon/1:2013.2.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Brian Murray (brian-murray) wrote :

Hello Adam, or anyone else affected,

Accepted keystone into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/keystone/1:2013.2.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in keystone (Ubuntu Saucy):
status: Confirmed → Fix Committed
Changed in nova (Ubuntu Saucy):
status: Confirmed → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Adam, or anyone else affected,

Accepted nova into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nova/1:2013.2.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in heat (Ubuntu Saucy):
status: Confirmed → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Adam, or anyone else affected,

Accepted heat into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/heat/2013.2.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Brian Murray (brian-murray) wrote :

Hello Adam, or anyone else affected,

Accepted neutron into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/neutron/1:2013.2.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in neutron (Ubuntu Saucy):
status: Confirmed → Fix Committed
description: updated

Please find the attached test log from the Ubuntu Server Team's CI infrastructure. As part of the verification process for this bug, the OpenStack components have been deployed and configured across multiple nodes using saucy-proposed as an installation source. After successful bring-up and configuration of the cluster, a number of exercises and smoke tests have be invoked to ensure the updated package did not introduce any regressions. A number of test iterations were carried out to catch any possible transient errors.

These proposed packages were deployed and tested in several different configurations. Attached are tarballs with various test logs from each configuration. In addition to the base components, variables in deployments include:

saucy_havana_nova-network:
    - nova-network (FlatDHCP)
    - glance (Ceph backend)
    - cinder (Ceph backend)

saucy_havana_iscsi:
    - nova-network (FlatDHCP)
    - glance (local backend)
    - cinder (iSCSI backend)

saucy_havana_neutron:
    - neutron (OVS plugin)
    - glance (Ceph backend)
    - cinder (Ceph backend)

Please note the versions_tested file in each tarball, which contains details about relevant package versions installed and tested.

For records of upstream test coverage of this update, please see the individual bug reports.
As per the provisional Micro Release Exception granted to this package by the Technical Board, we hope this contributes toward verification of this update.

Adam Gandelman (gandelman-a) wrote :

Test coverage log.

Adam Gandelman (gandelman-a) wrote :

Test coverage log.

Adam Gandelman (gandelman-a) wrote :

Test coverage log.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package heat - 2013.2.1-0ubuntu1

---------------
heat (2013.2.1-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (8283db7) (LP: #1262788):
    - [e6979b0] Open stable/havana
    - [f33297d] no autoscaling action occurs for percentage adjustment,
      depending on initial size & adjustment step size LP: 1251007
    - [a8c0b11] potential autoscaling headroom remains unused LP: 1254796
    - [6ccbf6e] On restart of QPID broker, fanout no longer works LP: 1251757
    - [3fc572e] [messaging] QPID broadcast RPC requests to all servers for a
      given topic LP: 1257293
    - [25de97c] Updated from global requirements
    - [0b1458a] [OSSA 2013-034] Heat CFN policy rules not all enforced
      (CVE-2013-6426) LP: 1256049
    - [8283db7] [OSSA 2013-035] Heat ReST API doesn't respect tenant scoping
      (CVE-2013-6428) LP: 1256983
    - [8283db7] [OSSA 2013-035] Heat ReST API doesn't respect tenant scoping
      (CVE-2013-6428) LP: 1256983
  * debian/patches/revert-stable-havana-requirements.patch: Revert
    version bumps to dependencies in stable/havana back to what was
    shipped with Saucy.
 -- Adam Gandelman <email address hidden> Wed, 18 Dec 2013 10:30:32 -0800

Changed in heat (Ubuntu Saucy):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for heat has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 1:2013.2.1-0ubuntu1

---------------
neutron (1:2013.2.1-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (c783944) (LP: #1262788):
    - [f45cd4f] Open stable/havana
    - [c783944] [OSSA 2013-033] Metadata queries from Neutron to Nova are not
      restricted by tenant (CVE-2013-6419) LP: 1235450
    - [cec8127] Creates multiple worker processes for API server
    - [3383241] [messaging] QPID broadcast RPC requests to all servers for a
      given topic LP: 1257293
    - [cd3e714] openstack.common.local module is out of date LP: 1254046
    - [11102ad] Allow using ipv6 address with omiting zero LP: 1240790
    - [65986c9] NVP connection fails because port is a string LP: 1255519
    - [2d2646a] Neither vpnaas.filters nor debug.filters are referenced in
      setup.cfg LP: 1257523
    - [c93d699] OVS agent doesn't reclaim local VLAN LP: 1252284
    - [7d74411] IP lib fails when int name has '@' character and VLAN
      interfaces LP: 1245799
    - [496e6f0] Lower severity of log trace for DB integrity error
    - [74b0a9b] internal neutron server error on tempest VolumesActionsTest
      LP: 1239637
    - [39c392e] neutron unittest require minimum 4gb memory LP: 1234857
    - [03216e3] L3 agent can't handle updates that change floating ip id
      LP: 1209011
    - [3be1326] nvp_cluster_uuid is no longer used in nvp.ini LP: 1251086
    - [37f5678] binding_failed because of l2 agent assumed down LP: 1244255
    - [27ce7b5] traceback is suppressed when deploy.loadapp fails LP: 1210236
    - [ce458e0] Linux IP wrapper cannot handle VLAN interfaces LP: 1240125
    - [b37987e] linuxbridge agent doesn't remove vxlan interface if no
      interface mappings LP: 1240742
    - [68b8af0] L2 pop mech driver sends notif. even no related port changes
      LP: 1241874
    - [f48a731] L2 pop sends updates for unrelated networks LP: 1240744
    - [e331eb3] fix nvp version validation for distributed router creation
      LP: 1243862
    - [4b3162e] error while creating l2 gateway services in nvp LP: 1244259
    - [4e94cb3] Nicira plugin: 500 when removing a router port desynchronized
      from the backend LP: 1240720
    - [02cd640] Connection to neutron failed: Maximum attempts reached
      LP: 1211915
  * debian/patches/revert-stable-havana-requirements.patch: Revert
    version bumps to dependencies in stable/havana back to what was
    shipped with Saucy.
 -- Adam Gandelman <email address hidden> Thu, 12 Dec 2013 13:16:08 -0800

Changed in neutron (Ubuntu Saucy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package keystone - 1:2013.2.1-0ubuntu1

---------------
keystone (1:2013.2.1-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (03ed8c3) (LP: #1262788):
    - [e6adb2f] Opening stable/havana
    - [4221b60] Removing role adds role with LDAP backend LP: 1242855
    - [3c25be5] Update memcache to match global requirements for stable/havana
    - [d927273] Keystone tests determine rootdir relative to pwd LP: 1241198
    - [64ac189] Updated from global requirements
    - [03ed8c3] [OSSA 2013-032] Keystone trust circumvention through EC2-style
      tokens (CVE-2013-6391) LP: 1242597
  * Dropped patches, applied upstream:
    - debian/patches/CVE-2013-4477.patch: [4221b60]
    - debian/patches/CVE-2013-6391.patch: [03ed8c3]
  * debian/patches/fix-ubuntu-tests.patch: Update to skip a test introduced
    with [03ed8c3] that requires a more recent version of
    python-keystoneclient.
  * debian/patches/revert-stable-havana-requirements.patch: Revert
    version bumps to dependencies in stable/havana back to what was
    shipped with Saucy.
 -- Adam Gandelman <email address hidden> Tue, 17 Dec 2013 20:08:25 -0800

Changed in keystone (Ubuntu Saucy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (4.3 KiB)

This bug was fixed in the package nova - 1:2013.2.1-0ubuntu1

---------------
nova (1:2013.2.1-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (a4ffc06) (LP: #1262788):
    - [6bf7e78] datastore selection bug - fills first disk only LP: 1227825
    - [66e5a8d] Deploy instances failed on Hyper-V with Chinese locale
      LP: 1229671
    - [6e50dbd] flavor pagination incorrectly uses id rather than flavorid
      LP: 1226698
    - [66f2db5] Regression: Cinder Volumes "unable to find iscsi target" for
      VMware instances LP: 1193980
    - [d8e6477] Restarting nova compute has an exception LP: 1243291
    - [a6fc29a] exception.InstanceIsLocked is not caught in start and stop
      server api LP: 1233026
    - [2e3da55] VMware: errors booting from volume via Horizon LP: 1235022
    - [3cdfe89] [OSSA 2013-029] Unchecked qcow2 root disk sizes DoS LP: 1206081
    - [a44c4d2] nova-api-{ec2,metadata,os-compute} don't allow SSL to be
      enabled LP: 1237126
    - [e360dc2] notification failure in _sync_power_states LP: 1244311
    - [cde1eaa] notification not available for deleting an instance having no
      host associated LP: 1211742
    - [55d87dc] Clear text password has been print in log by some API call
      LP: 1231263
    - [c139717] Unshelving an instance with an attached volume causes the
      volume to not get attached LP: 1246412
    - [458c79f] Bogus ERROR level debug spew when creating a new instance
      LP: 1239603
    - [31c9322] VMware: restarting nova compute reports invalid instances
      LP: 1237795
    - [818aac9] Nova api doesn't start with a backdoor port set LP: 1243260
    - [84f20a7] NBD mount errors when booting an instance from volume
      LP: 1188543
    - [85c8f12] Hyper-V fails to spawn snapshots LP: 1234759
    - [f7cfc1c] target_iqn is referenced before assignment after exceptions in
      hyperv/volumeop.py attch_volume() LP: 1233837
    - [0df673f] API cell always doing local deletes LP: 1240247
    - [727261e] flavor extra spec api fails with XML content type if key
      contains a colon LP: 1213927
    - [ef9aec1] infinite recursion when deleting an instance with no network
      interfaces LP: 1251792
    - [9aea662] encryptors module forces cert and scheduler services to depend
      on cinderclient LP: 1246103
    - [c51001e] TypeError in periodic task 'update_available_resource'
      LP: 1238374
    - [43d1385] nova compute crashes if you do not have any hosts in your
      cluster LP: 1197041
    - [8a99344] VMware: Detaching a volume from an instance also deletes the
      volume's backing vmdk (ESXDriver only) LP: 1241350
    - [8affa07] libvirt's _create_ephemeral must accept max_size LP: 1250032
    - [5847e57] Avoid clobbering {system_,}metadata dicts passed to instance
      update
    - [36a08ff] Require new python-cinderclient for Havana LP: 1230925
    - [0056908] libvirt evacuate(shared storage) fails w/ Permission denied on
      disk.config LP: 1247526
    - [4fcd748] Nova live migration failed due to OLE error LP: 1246592
    - [ac78062] Error mispelt in disk api file LP: 1253510
    - [e99e9c1] min_count ignored for instance create LP: 1224453
    - [8f007d...

Read more...

Changed in nova (Ubuntu Saucy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 1:2013.2.1-0ubuntu1

---------------
cinder (1:2013.2.1-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (eb78fee) (LP: #1262788):
    - [d8a0cd9] GlusterFS: errors when trying to boot instance from cloned
      volume LP: 1244238
    - [550f439] SSC attribute netapp_mirrored is not followed LP: 1242808
    - [0d3c303] SSC attributes netapp_compression and netapp_dedup are not
      followed LP: 1236839
    - [243ad85] Brick HostDriver test failure LP: 1244418
    - [42f3e68] SSC volume filtering for extra specs can result in inconsistent
      list LP: 1243081
    - [2e5dc22] Broken NetAppDirect7modeISCSIDriver reports incorrect free
      capacity, scheduler won't balance between multiple Netapp backends
      LP: 1238967
    - [ad05556] copy image to volume is broken for non-local volumes
      LP: 1243980
    - [5f7d263] check_ssh_injection not handling quoted args correctly
      LP: 1244415
    - [709130b] don't secure delete thin provisioned volumes or snapshots
      LP: 1240299
    - [986d243] invalid volume when source image virtual size is bigger than
      the requested size LP: 1235358
    - [df6d45f] invalid volume when source image virtual size is bigger than
      the requested size LP: 1235358
    - [78609c1] Properly handle volume cleanup with RBD driver LP: 1254318
    - [0801927] KeyError from storwize driver when 'host' is not provided to
      terminate_connection LP: 1244257
    - [e96e33c] GlusterFS: cloned volume has incorrect permissions LP: 1254768
    - [4529886] GlusterFS: operations that modify data require locking
      LP: 1251425
    - [3a58261] cinder backup should use pipe for diff transfer LP: 1244464
    - [3591f0d] Havana cinder requires glance API V2 LP: 1252549
    - [871d7d6] Excessive queries for API volumes/detail extensions LP: 1197612
    - [22a7101] Ensure ThinLVM LV is active when cloning LP: 1252423
    - [c5d4246] Excessive queries for API volumes/detail extensions LP: 1197612
    - [395ec74] Excessive queries for API volumes/detail extensions LP: 1197612
    - [1825386] Excessive queries for API volumes/detail extensions LP: 1197612
    - [430f0b9] [messaging] QPID broadcast RPC requests to all servers for a
      given topic LP: 1257293
    - [eb78fee] Updated from global requirements
  * debian/patches: Refresh.
  * debian/patches/revert-stable-havana-requirements.patch: Revert
    version bumps to dependencies in stable/havana back to what was
    shipped with Saucy.
 -- Adam Gandelman <email address hidden> Tue, 17 Dec 2013 20:01:13 -0800

Changed in cinder (Ubuntu Saucy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 1:2013.2.1-0ubuntu1

---------------
horizon (1:2013.2.1-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (9668e80) (LP: #1262788):
    - [d97bba1] precision of floating point metering stats is discarded
      unnecessarily LP: 1241467
    - [53047be] "Tenant" should be "Project" (Resource Usage panel) LP: 1250942
    - [728b5d1] Subnet / Subnet details not marked as translatable LP: 1254026
    - [9465e54] missing hover hint for instance:<type> meter in Metric dropdown
      list LP: 1243241
    - [842ba5f] Default port for The MS SQL Security Group is 1433 instead of
      1443 LP: 1250029
    - [631ee65] iso8601 debug message is annoying in dashboard unit test
      LP: 1250554
    - [1361a02] only meters associated with the first instance reported appear
      in Metric dropdown list LP: 1243298
    - [599d4a5] Persistent XSS in OpenStack Web UI for Instances LP: 1247675
    - [7f804c9] Password Change needs to logout current user LP: 1226829
    - [3b621e7] The "Weight" parameter in Horizon's LBaaS member creation
      dialog is mandatory while it's only optional in the cli command
      LP: 1241004
    - [b5b102e] i18n: "Filter" in "Flavor Access" tab of "Create Flavor"
      workflow is not translatable LP: 1239927
    - [0aba596] I18n: Localization of the role "Member" LP: 1255004
    - [d66a483] detach volume dialog contains escaped html LP: 1252881
    - [37f0128] English string for "Injected File Path Bytes" is wrong
      LP: 1254049
    - [ac2815c] ./templates/base.html.c:6: warning: unterminated string literal
      LP: 1243526
    - [6d02f2e] Cannot assign different translations for present and past
      message of BatchAction LP: 1252082
    - [655dc79] Resource Usage Page table views shows statistics in a wrong way
      LP: 1249279
    - [5d9684d] lbaas pool tcp LP: 1241713
    - [040bebb] Some "Working" dialogs are not translatable LP: 1252074
    - [852e5c8] Translation update for 2013.2.1 release LP: 1258462
    - [9668e80] Updated from global requirements
  * debian/patches/CVE-2013-6406: Dropped, applied upstream [599d4a5]
  * debian/patches/revert-stable-havana-requirements.patch: Revert
    version bumps to dependencies in stable/havana back to what was
    shipped with Saucy.
 -- Adam Gandelman <email address hidden> Wed, 18 Dec 2013 10:47:22 -0800

Changed in horizon (Ubuntu Saucy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ceilometer - 2013.2.1-0ubuntu2

---------------
ceilometer (2013.2.1-0ubuntu2) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (fa5c8e2) (LP: #1262788):
    - [ec31468] change alarm_history.detail column type to Text LP: 1236861
    - [b616562] wsme 0.5b6 is broken LP: 1240741
    - [d90c8e1] Open stable/havana
    - [ef6c659] Ceilometer log contains DB password in plain text LP: 1244476
    - [7ad530b] Pin test-requirement for Nova to Havana
    - [d554fa8] import of rabbitMQ-specific config options regardless of
      configured RPC backend LP: 1244698
    - [99b21df] Havan rc2 acl scenarios failing due to timezone assumption
      LP: 1240994
    - [c5b7462] alarm creation with sqlalchemy fails with intermittent
      IntegrityError LP: 1255107
    - [ae82878] [Postgresql] ERROR in ceilometer-collector log after successful
      tempest run LP: 1237671
    - [5cbb965] [messaging] QPID broadcast RPC requests to all servers for a
      given topic LP: 1257293
    - [40b833c] On restart of QPID broker, fanout no longer works LP: 1251757
    - [fa5c8e2] Updated from global requirements
  * debian/patches: Refreshed.
  * debian/patches/revert-keystone-compat.patch: Revert additional
    keystoneclient 0.4.0 compat changes that were applied to stable/havana
    to fix upstream gate issues.
  * debian/patches/revert-stable-havana-requirements.patch: Revert
    version bumps to dependencies in stable/havana back to what was
    shipped with Saucy.
 -- Adam Gandelman <email address hidden> Thu, 12 Dec 2013 13:29:59 -0800

Changed in ceilometer (Ubuntu Saucy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glance - 1:2013.2.1-0ubuntu1

---------------
glance (1:2013.2.1-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (949cda0) (LP: #1262788):
    - [252fe85] Open stable/havana
    - [e20b2af] Qpid protocol configuration is wrong LP: 1243821
    - [0f66c54] Error message encoding issue when using qpid LP: 1242734
    - [5b8f18b] Wrong parameter in the config file s/qpid_host/qpid_hostname/
      LP: 1242715
    - [9b52a89] Jenkins failed due to
      TestGlanceAPI.test_get_details_filter_changes_since LP: 1242501
    - [949cda0] Updated from global requirements
    - [5cd7a22] Bump stable/havana next version to 2013.2.2
    - [949cda0] Updated from global requirements
  * d/p/debian/patches/revert_upstream_iso8601_fixes.patch: Reverts
    patch that was committed to allow tests to pass in upstreams
    gate using a newer version of python-iso8601. Ubuntu's version
    is stable, the patch unncessary and causes failures.
  * debian/patches/revert-stable-havana-requirements.patch: Revert
    version bumps to dependencies in stable/havana back to what was
    shipped with Saucy.
 -- Adam Gandelman <email address hidden> Thu, 12 Dec 2013 12:52:40 -0800

Changed in glance (Ubuntu Saucy):
status: Fix Committed → Fix Released
James Page (james-page) wrote :

I've run the three topology tests against the proposed pocket of the havana cloud-archive - all three passed testing OK.

As the packages have been in proposed for a good week, releasing to updates today.

Changed in cloud-archive:
status: Confirmed → Fix Committed
James Page (james-page) on 2014-02-10
Changed in cloud-archive:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers